Package Details: aquaria-ose-git 1.1.3+o1.002+g611.96206dd-1

Git Clone URL: https://aur.archlinux.org/aquaria-ose-git.git (read-only, click to copy)
Package Base: aquaria-ose-git
Description: A 2D fantasy underwater action-adventure game (Open Source Edition of the engine = original v1.1.3 + many improvements)
Upstream URL: https://github.com/AquariaOSE/Aquaria
Keywords: 2D action adventure fantasy game humble metroidvania underwater
Licenses: GPL
Conflicts: aquaria, aquaria-git, aquaria-hib, aquaria-hib-git, aquaria-hib-hg, aquaria-ose
Replaces: aquaria-git, aquaria-hib-git, aquaria-hib-hg
Submitter: smls
Maintainer: smls
Last Packager: smls
Votes: 43
Popularity: 0.000000
First Submitted: 2015-07-09 14:14
Last Updated: 2016-06-19 20:21

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

JohnDVD commented on 2011-11-08 02:12

please let pacman install cmake and mercurial as dependencies. they aren't right now.

Marvn commented on 2011-07-28 08:25

donbex> thx, updated

donbex commented on 2011-07-27 20:55

The "build" function asks for the .run path, but the "package" function never uses it.

--- PKGBUILD 2011-07-27 22:48:00.257888954 +0200
+++ PKGBUILD.new 2011-07-27 22:45:10.723643069 +0200
@@ -33,6 +33,8 @@
fi
fi
msg "Found game package, installing..."
+
+ ln -s "${pkgpath}/${_gamepkg}" "$srcdir"



@@ -66,7 +68,7 @@
install -d -m 755 $pkgdir/opt/Aquaria

# Extracting the .run file
- unzip $srcdir/aquaria-lnx-humble-bundle.mojo.run || true
+ unzip "${srcdir}/${_gamepkg}" || true

# Removing Existing libs from Aquaria which can conflict with the system
rm -rf $srcdir/data/libSDL-1.2.so.0
@@ -98,4 +100,4 @@
install -D -m 755 $srcdir/aquaria.launcher \
$pkgdir/usr/bin/aquaria

-}
\ No newline at end of file
+}

Marvn commented on 2011-07-27 15:06

updated

Marvn commented on 2011-07-06 10:30

Hmm, now when i type makepkg --source, it adds the aquaria-lnx-humble-bundle.mojo.run file into source and then it have 200M. maybe a bug? i've never see working it this way...or maybe i'm doing smt wrong.

Anonymous comment on 2011-07-06 08:22

This package isn't out of date : it works great with the line cp -r $srcdir/$_hgrepo-build/game_scripts/* $pkgdir/opt/Aquaria in PKGBUILD

donbex commented on 2011-07-05 18:10

Please add the following code to prevent some serious input issue (see [1] for more about it):

# Install updated game scripts from mercurial repo
cp -r $srcdir/$_hgrepo-build/game_scripts/* $pkgdir/opt/Aquaria

Thank you.

[1] http://www.bit-blot.com/forum/index.php?PHPSESSID=0625h8c0mjs0mbjqgr0l3os002&topic=4197.0

Marvn commented on 2011-04-28 20:17

ok, tested on x64 and works just fine

Marvn commented on 2011-04-28 20:16

still needs hib data

Marvn commented on 2010-12-24 18:59

still needs hib data, also not tested on x64